9.8. Kodowanie z wielu wejściowych plików obrazkowych (JPEG, PNG, TGA itp.)
Poprzedni | Rozdział 9. Podstawy używania MEncodera | Następny

## 9.8. Kodowanie z wielu wejściowych plików obrazkowych (JPEG, PNG, TGA itp.)

MEncoder jest w stanie stworzyć film z jednego lub wielu plików JPEG, PNG, TGA albo innych obrazków. Poprzez proste kopiowanie ramek może stworzyć pliki MJPEG (Motion (ruchomy - przypis tłumacza) JPEG), MPNG (Motion PNG) lub MTGA (Motion TGA).

Jak to działa:

1. MEncoder dekoduje wejściowy obrazek/obrazki z pomocą biblioteki `libjpeg` (w przypadku dekodowania PNG, skorzysta z `libpng`).

2. Potem MEncoder kompresuje zdekodowane pliki podanym kompresorem (DivX4, Xvid, FFmpeg msmpeg4, itd.).

Przykłady. Opis i sposób działania funkcji `-mf` znajdują się na stronie man.

Tworzenie pliku MPEG-4 ze wszystkich plików JPEG w aktualnym katalogu:

    mencoder mf://*.jpg -mf w=800:h=600:fps=25:type=jpg -ovc lavc\
        -lavcopts vcodec=mpeg4:mbd=2:trell -oac copy -o wyjście.avi

Tworzenie pliku MPEG-4 z niektórych plików JPEG w aktualnym katalogu:

    mencoder mf://ramka001.jpg,ramka002.jpg -mf w=800:h=600:fps=25:type=jpg \
        -ovc lavc -lavcopts vcodec=mpeg4:mbd=2:trell -oac copy -o wyjście.avi

Tworzenie plików MPEG-4 z jawnie podanej listy plików JPEG (list.txt w aktualnym katalogu, zawiera listę plików, które mają zostać użyte jako źródło, po jednym w każdym wierszu):

    mencoder mf://@list.txt -mf w=800:h=600:fps=25:type=jpg \
        -ovc lavc -lavcopts vcodec=mpeg4:mbd=2:trell -oac copy -o wyjście.avi

Możesz mieszać rózne typy obrazków, niezależnie od używanej metody — wymieniane pliki, znaki globalne czy plik z listą — o ile oczywiście wszystkie mają te same wymiary. Możesz więc n.p. zrobić klatkę tytułową z obrazka PNG a potem umieścić pokaz swoich zdjęć JPEG.

Tworzenie pliku Motion JPEG (MJPEG) ze wszystkich plików JPEG w aktualnym katalogu:

    mencoder mf://*.jpg -mf w=800:h=600:fps=25:type=jpg -ovc copy -ovc copy -o wyjście.avi

Tworzenie nieskompresowanego pliku ze wszystkich plików PNG w aktualnym katalogu:

    mencoder mf://*.png -mf w=800:h=600:fps=25:type=png -ovc raw -oac copy -o wyjście.avi

### Informacja:

Szerokość musi być liczbą podzielną przez 4, takie są ograniczenia formatu RAW RGB AVI.

Tworzenie pliku Motion PNG (MPNG) ze wszystkich plików PNG w aktualnym katalogu:

    mencoder mf://*.png -mf w=800:h=600:fps=25:type=png -ovc copy -oac copy -o wyjście.avi

Tworzenie pliku Motion TGA (MTGA) ze wszystkich plików TGA w aktualnym katalogu:

    mencoder mf://*.tga -mf w=800:h=600:fps=25:type=tga -ovc copy -oac copy -o wyjście.avi

Poprzedni | Początek rozdziału | Następny
9.7. Kopiowanie strumieni | Spis treści | 9.9. Wydobywanie napisów z DVD do pliku VOBsub